<template>
  <section class="card">
    <div class="header" v-if="title">
      <h2 class="title">{{ title }}</h2>
      <div class="actions" v-if="$slots.actions">
        <slot name="actions" />
      </div>
    </div>
    <span class="separator"></span>
    <slot />
  </section>
</template>

<script>
export default {
  name: "Card",
  props: {
    title: {
      type: String,
      default: ""
    }
  }
}
</script>

<style lang="stylus" scoped>
@import '~assets/styles/variables';

.card
  background-color $light-2
  border 1px solid rgba($grey, .2)
  border-radius .5rem
  padding $sm $md
  direction rtl
  @media only screen and (max-width 450px)
    padding $sm

.header
  display flex
  align-items center
  margin-bottom $sm 

.actions
  margin-right auto
  display flex
  align-items center
  & > *:not(:last-child)
    margin-left $xsm

.title
  color $grey-light
  font-size 2rem
  font-weight 500

.separator
  display block
  background-color rgba($black, .2)
  height .1rem
  width 100%
  margin-bottom $sm 
</style>